Critical installation information missing Rated 3 out of 5 stars

In order to install the Enigmail plugin on Linux, one needs to run SeaMonkey or Thunderbird as root, or as administrator on Vista and Windows XP. Attempting to install it while running the application from a regular user account will cause the installation to fail with a cryptic "Unexpected error -211" message, totally unhelpful to people who haven't memorized the Mozilla error code tables. This critical piece of information can be found on forums, but should have been added to the plugin description here to avoid frustration for users. That's why I give the application a meager 3 stars.

This review is for a previous version of the add-on (1.0.1).